# Uses of Enum Class
org.apache.sysds.runtime.controlprogram.federated.FederatedRequest.RequestType

Packages that use FederatedRequest.RequestType
Package
Description
org.apache.sysds.runtime.controlprogram.federated

## Uses of FederatedRequest.RequestType in org.apache.sysds.runtime.controlprogram.federated

Methods in org.apache.sysds.runtime.controlprogram.federated that return FederatedRequest.RequestType
Modifier and Type
Method
Description
`FederatedRequest.RequestType`
FederatedRequest.`getType()`
`static FederatedRequest.RequestType`
FederatedRequest.RequestType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FederatedRequest.RequestType[]`
FederatedRequest.RequestType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.controlprogram.federated with parameters of type FederatedRequest.RequestType
Modifier and Type
Method
Description
`static void`
FederatedStatistics.`incFederated(FederatedRequest.RequestType rqt, List<Object> data)`
Constructors in org.apache.sysds.runtime.controlprogram.federated with parameters of type FederatedRequest.RequestType
Modifier
Constructor
Description
``
`FederatedRequest(FederatedRequest.RequestType method)`
``
`FederatedRequest(FederatedRequest.RequestType method, long id)`
``
`FederatedRequest(FederatedRequest.RequestType method, long id, Object... data)`
``
`FederatedRequest(FederatedRequest.RequestType method, long id, List<Object> data)`
``
`FederatedRequest(FederatedRequest.RequestType method, LineageItem linItem, long id, Object... data)`